#ifndef _CMap_h_Included_
#define _CMap_h_Included_
/**************
simple map funcs
2000/1/22

revised at 2000/10/24

**************/
#define KEY_SIZE 200
#define VALUE_SIZE 200



typedef struct{
	
	int size;
	unsigned char **key;
	unsigned char **value;
	
}CMap;

CMap* CMapInit(int);
void CMapFree(CMap *);
int CMapClear(CMap *);
int CMapGetIndex(CMap *,unsigned char *);
unsigned char *CMapGetValue(CMap *,unsigned char *);
int CMapGetEntryNumber(CMap *);
int CMapAdd(CMap *,unsigned char *,unsigned char *);
int CMapPrint(CMap *);
int CMapLoadFromFile(CMap*,char*);
int CMapSaveToFile(CMap*,char*);

#endif
