/*
samples for ceasygame
2000/10/8,adas
*/

#include "CEasyGame.h"

/**********************************
SDL Logo Displaying demo by CEasyGame

**********************************/
typedef struct{
	
	int frame;
	SDL_Surface *box;
	SDL_Surface *backup;
	int alpha;
	

}TFade;



static void Final(CEasyGame*p){
	TFade *data;
	data=p->data;
	SDL_FreeSurface(data->box);
	SDL_FreeSurface(data->backup);
	p->draw_after=NULL;
	p->control=NULL;
	p->data=NULL;
}
static int Draw(CEasyGame*p){
	TFade *data;
	data=p->data;
	
	SDL_BlitSurface(data->backup,NULL,p->screen,NULL);
	SDL_BlitSurface(data->box,NULL,p->screen,NULL);
	
}
static int Control(CEasyGame*p){
	TFade *data;
	data=p->data;
	
	if(data->frame<p->timer.realframecount){
		p->system_end=1;
		return;
	}
	
	SDL_SetAlpha(data->box,SDL_SRCALPHA,256*(data->frame-p->timer.realframecount)/data->frame);
	
	
}
static int Init(CEasyGame*p,SDL_Color color,int frame){
	static TFade data;
	
	memset(&data,0,sizeof(TFade));
	p->data=&data;
	p->control=Control;
	p->draw_after=Draw;
	
	data.frame=frame;
	
	data.box=SDL_DisplayFormat(p->screen);
	data.backup=SDL_DisplayFormat(p->screen);
	
	SDL_FillRect(data.box,NULL,SDL_MapRGB(data.box->format,color.r,color.g,color.b));
	SDL_SetAlpha(data.box,SDL_SRCALPHA,255);
	
	CTimeReset(&p->timer);

}
void SDLFadeIn(CEasyGame*p,SDL_Color color,int frame){

}
void SDLFadeOut(CEasyGame*p,SDL_Color color,int frame){
	
	Init(p,color,frame);
	CEasyGameMainLoop(p);
	Final(p);
	
}
