#ifndef _CTTfont_h_
#define _CTTfont_h_


#include "SDL.h"
#include "SDL_ttf.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


typedef struct{
	
	SDL_Color fore;
	SDL_Color back;
	TTF_Font *truetype;
	int width;
	int height;
	int isTransparent;
	int skip;

	
}CTTfont;

CTTfont * CTTfontInit(char *filename,int psize);
void CTTfontFree(CTTfont*);

SDL_Surface *CTTfontRender(CTTfont *this,char *message);
int CTTfontSystemFree(void);
int CTTfontSystemInit(void);


#endif

