#include "SDL.h"
#include "useful.h"	//for sjis2jis()
#include "useful.c"
#include "CKanji.h"
#include "CKanji.c"
static int loaded=0;
static CKanji KanjiFont;

SDL_Surface *CbdffontRender(char *p,SDL_Color *fg){
	
	SDL_Surface *bmp;
	const SDL_VideoInfo *vinfo;
	
	Uint8	high,low,mask;
	Uint8	*image,*destd;
	int sizex,sizey;
	int isKanji;
	int nextx,nexty;
	int index,i,j;
	
	Uint32 color,trans,*pcolor;
	
	
	if(*p==0)return NULL;
	if(!loaded){
		CKanjiLoadDefault(&KanjiFont);
		loaded=1;
	}
	
	
//check shiftjis
	if(*(Uint8*)p<0x80){
		index=*p;
		isKanji=0;
		sizex=12;
		sizey=24;
		image=KanjiFont.ascii24[index];
		
	}else{
		high=*p;
		low=*(p+1);
		sizex=24;
		sizey=24;
		sjis2jis(&high,&low);
		index=(high-0x20)*96+low-0x20;
		isKanji=1;
		image=KanjiFont.kanji24[index];
	}
	
	
	vinfo=SDL_GetVideoInfo();
	bmp=SDL_CreateRGBSurface(SDL_SWSURFACE,sizex,sizey,vinfo->vfmt->BitsPerPixel
		,vinfo->vfmt->Rmask,vinfo->vfmt->Gmask,vinfo->vfmt->Bmask,vinfo->vfmt->Amask);
	if(!bmp)return NULL;
	SDL_SetColorKey(bmp,SDL_SRCCOLORKEY,SDL_MapRGB(bmp->format,0x0ff,0,0x0ff));
	color=SDL_MapRGB(bmp->format,fg->r,fg->g,fg->b);
	trans=SDL_MapRGB(bmp->format,0xff,0,0xff);
	
	if(SDL_MUSTLOCK(bmp)){
		if(SDL_LockSurface(bmp)<0){
			SDL_FreeSurface(bmp);
			return NULL;
		}
	}
	destd=(Uint8 *)bmp->pixels;
	nextx=bmp->format->BytesPerPixel;
	nexty=bmp->pitch-nextx*sizex;
//printf("%d %d \n",nextx,nexty);
	if(isKanji){
		for(i=0;i<24;i++){
			for(j=0;j<3;j++){
				mask=0x80;
				do{
					
					if(*image & mask){pcolor=&color;}else{pcolor=&trans;}
					switch(nextx){
						case 1:{
							
							
						}break;
						case 2:{
							*(Uint16*)(destd)=*pcolor;
							
						}
						case 3:{
							
							
						}break;
						case 4:{
							*(Uint32*)(destd)=*pcolor;
							
							
						}break;
						
					}
					destd+=nextx;
					mask>>=1;
				}while(mask);
				image++;
				destd+=nexty;
			}
		}
	}else{
		for(i=0;i<24;i++){
			for(j=0;j<2;j++){
				mask=0x80;
				do{
					
					if(*image & mask){pcolor=&color;}else{pcolor=&trans;}
					switch(nextx){
						case 1:{
							
							
						}break;
						case 2:{
								*(Uint16*)(destd)=*pcolor;
							
						}
						case 3:{
							
							
						}break;
						case 4:{
							*(Uint32*)(destd)=*pcolor;
							
							
						}break;
						
					}
					mask>>=1;
					destd+=nextx;;
					if(j==1 && mask==0x08)break;
				}while(mask);
				image++;
				destd+=nexty;
			}
		}
	}
	
	
	if(SDL_MUSTLOCK(bmp)){
		SDL_UnlockSurface(bmp);
	}
	return bmp;
}
