/*
samples for ceasygame
2000/10/8,adas
*/

#include "CEasyGame.h"

/**********************************
SDL Logo Displaying demo by CEasyGame

**********************************/
typedef struct{
	CBmps *bg;
	
	TSprite *logo;
	
}TSDLLogo;


#define LAYER 0
static void SDLLogoFinal(CEasyGame*p){
	TSDLLogo *data;
	data=p->data;
	CBmpsFree(data->bg);
	CWavsFree(p->wave);
	data->bg=NULL;
	p->wave=NULL;
	p->control=NULL;
	p->draw=NULL;
	p->data=NULL;
//	CSpriteSetClearSprite(p->spriteset);
	CEasyGameDetachAll(p);

}
static int SDLLogoDraw(CEasyGame*p){
	
	SDL_FillRect(p->screen,NULL,SDL_MapRGB(p->screen->format,0,0,0));
	
}
static int SDLLogoControl(CEasyGame*p){
	TSDLLogo *data;
	TSprite *me;
	data=p->data;
	me=data->logo;
	
	if(p->timer.realframecount>200){
		p->system_end=1;
		return;
	}
	if(p->timer.realframecount==0){
		TSpriteSetAnime(me,1,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,2,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,3,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,4,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,5,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,0,120,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,5,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,4,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,3,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,2,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,1,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(me,10,4,SPRITE_ENDSWITCH_STOP);
		me->prop.dy=-(1<<UNDER_PERIOD)*.5;
		
		CWavsPlay(p->wave,100);
		
	}
	if(p->timer.realframecount==20){
		me->prop.dy=0;
	}
	if(p->timer.realframecount==140){
		me->prop.dy=-(1<<UNDER_PERIOD)*.5;
	}
	
	
	
}
static void SDLLogoInit(CEasyGame*p){
	static TSDLLogo data;
	TSprite *s;
	
	memset(&data,0,sizeof(TSDLLogo));
	p->data=&data;
	
	p->control=SDLLogoControl;
	p->draw=SDLLogoDraw;
	
	
	data.bg=CBmpsInit(100);
//	CBmpsLoadFromFileWithDir(data.bg,"logobg.txt","./logo/");
	CBmpsLoadFromFileDir(data.bg,"./logo/");
	p->wave=CWavsInit(256);
	CWavsLoadFromFileDir(p->wave,"./system/wav/");
	CTimeReset(&p->timer);
	
//	CSpriteSetClearSprite(p->spriteset);
	data.logo=CSpriteSetSet(p->spriteset[LAYER],data.bg);
	s=data.logo;
	s->x=(p->screen->w/2-200)<<UNDER_PERIOD;
	s->y=(p->screen->h/2-100)<<UNDER_PERIOD;
//	s->number=0;
	s->isVisible=1;
}
void SDLLogo(CEasyGame*p){
	
	SDLLogoInit(p);
	CEasyGameMainLoop(p);
	SDLLogoFinal(p);
	
}
