#include "sol2.h"
#include "enemy.h"
#include "item.h"
#include "event.h"
#include "highscore.h"

int Sol2MeSetDeadAnime(CEasyGame *game){
	TMe *me;
	TSprite *sp;
	TSoldata *data;
	data=game->data;
	me=&data->me;
	sp=me->sp;
	
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,50,4,SPRITE_ENDSWITCH_LOOP);
	TSpriteSetAnime(sp,51,4,SPRITE_ENDSWITCH_LOOP);
	TSpriteSetAnime(sp,52,4,SPRITE_ENDSWITCH_LOOP);
	TSpriteSetAnime(sp,53,4,SPRITE_ENDSWITCH_LOOP);
	TSpriteSetAnime(sp,50,1,SPRITE_ENDSWITCH_LOOP);
	
	
}

#define MULTIPLE_FACTOR 3
int Atari(Sint32 x1,Sint32 y1,Sint32 x2,Sint32 y2){
	if(
	x1-x2>-SOL2_CHIPSIZE+SOL2_X_BUFFER*MULTIPLE_FACTOR &&
	x1-x2<SOL2_CHIPSIZE-SOL2_X_BUFFER*MULTIPLE_FACTOR &&
	y1-y2>-SOL2_CHIPSIZE+SOL2_X_BUFFER*MULTIPLE_FACTOR &&
	y1-y2<SOL2_CHIPSIZE-SOL2_X_BUFFER*MULTIPLE_FACTOR
	){
		return 1;
		
	}
	return 0;
	
}
int AtariBURN(Sint32 x1,Sint32 y1,Sint32 x2,Sint32 y2){
	if(
	x1-x2>-SOL2_CHIPSIZE+SOL2_X_BUFFER*(MULTIPLE_FACTOR-1) &&
	x1-x2<SOL2_CHIPSIZE-SOL2_X_BUFFER*(MULTIPLE_FACTOR-1) &&
	y1-y2>-SOL2_CHIPSIZE+SOL2_X_BUFFER &&
	y1-y2<SOL2_CHIPSIZE-SOL2_X_BUFFER
	){
		return 1;
		
	}
	return 0;
	
}

//for cheking stonemagic availableΔ}bv
static int Sol2isExistSomething(CEasyGame *game){
	
}
//΂H
static int Sol2CheckMapStone(CEasyGame *game,int x,int y){
	
	
	
}

#define SOL2_FIRESPEED	1024

//]PԂ
int Sol2RoundCheck_Obstacle(CEasyGame *game,TSprite *sp){
	TSoldata *data;
	TMap *map;
	int bx,by,bdx,bdy;
	int result=0;
	data=game->data;
	map=&data->map;
	
	
	bx=((Sint32)(sp->x+sp->prop.dx)>>UNDER_PERIOD)/SOL2_CHIPSIZE;
	by=((Sint32)(sp->y+sp->prop.dy)>>UNDER_PERIOD)/SOL2_CHIPSIZE;
	bdx=((Sint32)(sp->x+sp->prop.dx)>>UNDER_PERIOD)%SOL2_CHIPSIZE;
	bdy=((Sint32)(sp->y+sp->prop.dy)>>UNDER_PERIOD)%SOL2_CHIPSIZE;
	
	
	//Q
	
	if(sp->prop.dx>0 && bdx>SOL2_X_BUFFER){
		
		if(bdy<SOL2_CHIPSIZE-SOL2_X_BUFFER
			&& !IS_MAP_VOID(bx+1,by)/*map->sp[bx+1][by]->number!=0*/){
			
//					sp->prop.dy=-SOL2_FIRESPEED*SOL2_VELOCITY_UNIT;
			sp->prop.dy=-sp->prop.dx;
			sp->prop.dx=0;
			sp->x=(bx*SOL2_CHIPSIZE+SOL2_X_BUFFER)<<UNDER_PERIOD;
			
			result=1;
			
		}else
		if(bdy>SOL2_X_BUFFER
		&& !IS_MAP_VOID(bx+1,by+1)){
		
			sp->prop.dy=sp->prop.dx;
//		sp->prop.dy=SOL2_FIRESPEED*SOL2_VELOCITY_UNIT;
			sp->prop.dx=0;
			sp->x=(bx*SOL2_CHIPSIZE+SOL2_X_BUFFER)<<UNDER_PERIOD;
			result=1;
		}
	}else if(sp->prop.dx<0 && bdx<SOL2_CHIPSIZE-SOL2_X_BUFFER){
		if(bdy<SOL2_CHIPSIZE-SOL2_X_BUFFER
			&& !IS_MAP_VOID(bx,by)){
			
//					sp->prop.dy=-SOL2_FIRESPEED*SOL2_VELOCITY_UNIT;
			sp->prop.dy=sp->prop.dx;
			sp->prop.dx=0;
			sp->x=(bx*SOL2_CHIPSIZE+SOL2_CHIPSIZE-SOL2_X_BUFFER)<<UNDER_PERIOD;
			
			result=1;
		}
		if(bdy>SOL2_X_BUFFER
			&& !IS_MAP_VOID(bx,by+1)
				&&!result){
			
//					sp->prop.dy=SOL2_FIRESPEED*SOL2_VELOCITY_UNIT;
			sp->prop.dy=-sp->prop.dx;
			sp->prop.dx=0;
			sp->x=(bx*SOL2_CHIPSIZE+SOL2_CHIPSIZE-SOL2_X_BUFFER)<<UNDER_PERIOD;
			result=1;
		}
	}else 
	
	if(sp->prop.dy>0 && bdy>SOL2_X_BUFFER){
		
		if(bdx<SOL2_CHIPSIZE-SOL2_X_BUFFER
			&& !IS_MAP_VOID(bx,by+1)){
			
//					sp->prop.dx=-SOL2_FIRESPEED*SOL2_VELOCITY_UNIT;
			sp->prop.dx=-sp->prop.dy;
			sp->prop.dy=0;
			sp->y=(by*SOL2_CHIPSIZE+SOL2_X_BUFFER)<<UNDER_PERIOD;
			
			result=1;
		}else
		if(bdx>SOL2_X_BUFFER
			&& !IS_MAP_VOID(bx+1,by+1)){
			
			sp->prop.dx=sp->prop.dy;
			sp->prop.dy=0;
//					sp->prop.dx=SOL2_FIRESPEED*SOL2_VELOCITY_UNIT;
			sp->y=(by*SOL2_CHIPSIZE+SOL2_X_BUFFER)<<UNDER_PERIOD;
			result=1;
		}
	}else if(sp->prop.dy<0 && bdy<SOL2_CHIPSIZE-SOL2_X_BUFFER){
		if(bdx<SOL2_CHIPSIZE-SOL2_X_BUFFER
			&& !IS_MAP_VOID(bx,by)){
			
			sp->prop.dx=sp->prop.dy;
			sp->prop.dy=0;
//					sp->prop.dx=-SOL2_FIRESPEED*SOL2_VELOCITY_UNIT;
			sp->y=(by*SOL2_CHIPSIZE+SOL2_CHIPSIZE-SOL2_X_BUFFER)<<UNDER_PERIOD;
			
			result=1;
		}else
		if(bdx>SOL2_X_BUFFER
			&& !IS_MAP_VOID(bx+1,by)){
			
			sp->prop.dx=-sp->prop.dy;
			sp->prop.dy=0;
//					sp->prop.dx=SOL2_FIRESPEED*SOL2_VELOCITY_UNIT;
			sp->y=(by*SOL2_CHIPSIZE+SOL2_CHIPSIZE-SOL2_X_BUFFER)<<UNDER_PERIOD;
			result=1;
		}
	}
	return result;
}

//Pp^[
int Sol2RoundCheck_Normal(CEasyGame *game,TSprite *sp){
	
	TSoldata *data;
	TMap *map;
	int bx,by,bdx,bdy;
	int result=0;
	data=game->data;
	map=&data->map;
	
	bx=((Sint32)(sp->x)>>UNDER_PERIOD)/SOL2_CHIPSIZE;
	by=((Sint32)(sp->y)>>UNDER_PERIOD)/SOL2_CHIPSIZE;
	bdx=((Sint32)(sp->x)>>UNDER_PERIOD)%SOL2_CHIPSIZE;
	bdy=((Sint32)(sp->y)>>UNDER_PERIOD)%SOL2_CHIPSIZE;
	
	
	//vx!=0
	if(sp->prop.dx>0 && bdx>SOL2_CHIPSIZE-SOL2_X_BUFFER){
		
		if(bdy>0&&bdy<=SOL2_X_BUFFER){
			if(!IS_MAP_VOID(bx,by+1) && IS_MAP_VOID(bx+1,by+1)){
				sp->prop.dy=sp->prop.dx;
				sp->prop.dx=0;
			result=1;
			}
		}
		else if(bdy>=SOL2_CHIPSIZE-SOL2_X_BUFFER){
			if(!IS_MAP_VOID(bx,by)&& IS_MAP_VOID(bx+1,by)){
				sp->prop.dy=-sp->prop.dx;
				sp->prop.dx=0;
			result=1;
			}
		}
	}else if(sp->prop.dx<0 && bdx<SOL2_X_BUFFER){
		
		if(bdy>0&&bdy<=SOL2_X_BUFFER){
			if(!IS_MAP_VOID(bx+1,by+1) &&IS_MAP_VOID(bx,by+1)){
				sp->prop.dy=-sp->prop.dx;
				sp->prop.dx=0;
			result=1;
			}
		}
		else if(bdy>=SOL2_CHIPSIZE-SOL2_X_BUFFER){
			if(!IS_MAP_VOID(bx+1,by)&& IS_MAP_VOID(bx,by)){
				sp->prop.dy=sp->prop.dx;
				sp->prop.dx=0;
			result=1;
			}
		}
		
		
	}else //vy!=0
	if(sp->prop.dy>0 && bdy>SOL2_CHIPSIZE-SOL2_X_BUFFER){
		
		if(bdx>0&& bdx<=SOL2_X_BUFFER){
			if(!IS_MAP_VOID(bx+1,by)&& IS_MAP_VOID(bx+1,by+1)){
				sp->prop.dx=sp->prop.dy;
				sp->prop.dy=0;
			result=1;
			}
		}
		else if(bdx>=SOL2_CHIPSIZE-SOL2_X_BUFFER){
			if(!IS_MAP_VOID(bx,by) && IS_MAP_VOID(bx,by+1)){
				sp->prop.dx=-sp->prop.dy;
				sp->prop.dy=0;
			result=1;
			}
		}
	}else if(sp->prop.dy<0 && bdy<SOL2_X_BUFFER){
		
		if(bdx>0&&bdx<=SOL2_X_BUFFER){
			if(!IS_MAP_VOID(bx+1,by+1)&& IS_MAP_VOID(bx+1,by)){
				sp->prop.dx=-sp->prop.dy;
				sp->prop.dy=0;
			result=1;
			}
		}
		else if(bdx>=SOL2_CHIPSIZE-SOL2_X_BUFFER){
			if(!IS_MAP_VOID(bx,by+1) && IS_MAP_VOID(bx,by)){
				sp->prop.dx=sp->prop.dy;
				sp->prop.dy=0;
			result=1;
			}
		}
		
		
	}
	
	return result;
	
}
static int Sol2FireMagicSetAnime(TSprite *sp){
	
	int num=80;
	
	if(sp->prop.dx>0)num=80;
	if(sp->prop.dx<0)num=82;
	if(sp->prop.dy>0)num=84;
	if(sp->prop.dy<0)num=86;
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,num,4,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,num+1,4,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,num,1,SPRITE_ENDSWITCH_LOOP);

	
};
static int Sol2MeFireMagicMoveCheck(CEasyGame *game){
	
	TSoldata *data;
	TSprite *sp;
	TFire *fire;
	TMap *map;
	int i;
	
	int bx,by,bdx,bdy;
	
	data=game->data;
	fire=&data->fire;
	map=&data->map;
	for(i=0;i<SOL2_MAXFIRE;++i){
		if(!fire->sp[i])continue;
		if(fire->sp[i]->isExist){
			int changed=0;
			
			sp=fire->sp[i];
			changed+=Sol2RoundCheck_Obstacle(game,sp);
			changed+=Sol2RoundCheck_Normal(game,sp);
			
			if(changed){
				
				Sol2FireMagicSetAnime(sp);
				
			}
			
			
			
			
			
		}
	}
	
	
	
}
static int Sol2MeFireMagic(CEasyGame *game){
	
	TSoldata *data;
	TSprite *sp;
	TFire *fire;
	TMe *me;
	int i,pos_index;
	struct{Sint32 x;Sint32 dy;int vx;}pos[4]={
		{-(SOL2_CHIPSIZE/2),0,-1},		//stand left
		{(SOL2_CHIPSIZE/2),0,1},	//stand right
		{-(SOL2_CHIPSIZE/2),SOL2_X_BUFFER,-1},	//crouch left
		{(SOL2_CHIPSIZE/2),SOL2_X_BUFFER,1},	//crouch right
	};
	data=game->data;
	fire=&data->fire;
	me=&data->me;
	
	
	if(!me->left_fire)return;
	me->left_fire--;
	
	pos_index=0;
	if(me->isCrouch)pos_index+=2;
	if(me->direction==SOL2_DIR_RIGHT)pos_index++;
	
	
	for(i=0;i<SOL2_MAXFIRE;++i){
		if(fire->sp[i] && fire->sp[i]->isExist)continue;
		{
			fire->sp[i]=CSpriteSetSetWizNum(data->spriteset,data->mapbmps,SOL2_FIRE_SPRITE_INDEX);
			sp=fire->sp[i];
			sp->x=me->sp->x+(pos[pos_index].x<<UNDER_PERIOD);
			sp->y=me->sp->y+(pos[pos_index].dy<<UNDER_PERIOD);
			sp->isVisible=1;
			sp->xystyle=1;
			sp->prop.countdown=100+me->fire_length;
			sp->prop.dx=SOL2_FIRESPEED*SOL2_VELOCITY_UNIT*pos[pos_index].vx;
			//sp->number=10;
			
			Sol2FireMagicSetAnime(sp);
			
			CWavsPlay(game->wave,14);
			
//			TSpriteSetShadowExtention(sp);
			
			break;
		}
	}
	
}

int Sol2MagicHanabi(CEasyGame *game,Sint32 x,Sint32 y){
	
	TSoldata *data;
	TSprite *sp;
	TSprite *map;
	int i;
	struct{Sint32 x;Sint32 y;int vx;int vy;}starpos[4]={
		{0,0,-1,-1},
		{(SOL2_CHIPSIZE/2),0,1,-1},
		{0,(SOL2_CHIPSIZE/2),-1,1},
		{(SOL2_CHIPSIZE/2),(SOL2_CHIPSIZE/2),1,1},
	};
	data=game->data;
//	map->data->map;
	
	for(i=0;i<4;++i){
		sp=CSpriteSetSetWizNum(data->spriteset,data->mapbmps,SOL2_HANABI_SPRITE_INDEX);
		TSpriteSetAnime(sp,100,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(sp,101,4,SPRITE_ENDSWITCH_STOP);
		TSpriteSetAnime(sp,101,1,SPRITE_ENDSWITCH_LOOP);
		sp->isVisible=1;
		sp->xystyle=1;
		sp->prop.countdown=20;
		sp->x=(x+starpos[i].x)<<UNDER_PERIOD;
		sp->y=(y+starpos[i].y)<<UNDER_PERIOD;
#define SOL2_HANABI_SPEED	128
		sp->prop.dx=SOL2_HANABI_SPEED*SOL2_VELOCITY_UNIT*starpos[i].vx;
		sp->prop.dy=SOL2_HANABI_SPEED*SOL2_VELOCITY_UNIT*starpos[i].vy;
	}
	
}

/* key reading*/
static int keyread(CEasyGame *p){
	
	SDL_Event ev;
	static int screennumber=0;
	SDLKey *key;
	char buf[1000];
	
	while(SDL_PollEvent(&ev)){
		switch(ev.type){
			case SDL_QUIT:
			{
				return 1;
			}
			break;
			case SDL_KEYDOWN: {
				key=&(ev.key.keysym.sym);
				if(*key==293){//F12
					
					sprintf(buf,"screenshot%04d.bmp",screennumber++);
					if(screennumber>9999)screennumber=0;
					SDL_SaveBMP(p->screen,buf);
					
				}
				if(*key==27){//ESC
					return 1;
				}
			}break;
		}
	}
	
	
	return 0;
	
}

/* map */



static int Sol2MapLoad(CEasyGame *game/*,char *filename*/){
	
	TSoldata *data;
	int i,j;
	TSprite *sp;
	TItem *item;
	int number;
	int mex=1,mey=1;
	int doorx=1,doory=1;
	int keyx=1,keyy=1;
	FILE *fp;
	
	char buf[4096];
	char *pbuf;
	const char *ignore="\r\n#";
	const char *delim=" \t\r\n";
	char *ptype,*px,*py,*pvx,*pvy;
	int type,x,y,vx,vy;
	int itemx,itemy,itemtype,itemhidden;

	data=game->data;
	
	for(j=0;j<SOL2_MAP_Y;++j)
	for(i=0;i<SOL2_MAP_X;++i){
		sp=data->map.sp[i][j];
		
		sp->number=0;
		if(j==0||j==SOL2_MAP_Y-1||i==0||i==SOL2_MAP_X-1)sp->number=10;
		sp->isVisible=0;
		sp->x=((i*SOL2_CHIPSIZE)<<UNDER_PERIOD);
		sp->y=((j*SOL2_CHIPSIZE)<<UNDER_PERIOD);
		sp->xystyle=1;
	}
	
	
	Sol2ClearEnemy(game);
	fp=fopen(data->mapfilename,"rb");
	if(fp){
		
		for(j=0;j<SOL2_MAP_Y;++j)
		for(i=0;i<SOL2_MAP_X;++i){
			sp=data->map.sp[i][j];
			
			fscanf(fp,"%d ",&number);
			sp->number=number;
		}
		
		fscanf(fp,"\n%d %d %d %d %d %d\n",&mex,&mey,&doorx,&doory,&keyx,&keyy);
		
		if(!data->ItemLoaded)Sol2ItemClear(game);else Sol2ItemReset(game);
		do{
			fscanf(fp,"%d %d %d %d\n",&itemtype,&itemx,&itemy,&itemhidden);
			if(itemtype==-1)break;
			if(data->ItemLoaded)continue;
			data->MaxItems++;
			item=Sol2SetItem(game,itemtype,itemx,itemy,itemhidden);
			if(itemhidden&&item){
//				TSpriteSetBlinkExtention(item->sp,10);
				item->sp->isVisible=0;
			}
		}while(1);
		data->ItemLoaded=1;
		
		do{
			if(NULL==fgets(buf,4096,fp))break;
			pbuf=buf;
			if(strchr(ignore,*pbuf))continue;
			ptype=strtok(pbuf,delim);
			if(ptype)type=atoi(ptype);
			px=strtok(NULL,delim);
			if(px)x=atoi(px);
			py=strtok(NULL,delim);
			if(py)y=atoi(py);
			pvx=strtok(NULL,delim);
			if(pvx)vx=atoi(pvx);
			pvy=strtok(NULL,delim);
			if(pvy)vy=atoi(pvy);
			Sol2SetEnemy(game,type,x,y,vx,vy);
		}while(1);
		
		
		
		
		fclose(fp);
	}else{
		fprintf(stderr,"cannot open %s\n",data->mapfilename);
	}

	
	
	data->me.x=(mex*SOL2_CHIPSIZE)<<UNDER_PERIOD;
	data->me.y=(mey*SOL2_CHIPSIZE)<<UNDER_PERIOD;
	data->me.vx=0;
	data->me.vy=0;
	data->me.sp->xystyle=1;
	
	item=&data->key;
	item->sp=CSpriteSetSetWizNum(data->spriteset,data->mapbmps,SOL2_ITEM_SPRITE_INDEX);
	item->sp->x=(keyx*SOL2_CHIPSIZE)<<UNDER_PERIOD;
	item->sp->y=(keyy*SOL2_CHIPSIZE)<<UNDER_PERIOD;
	item->sp->isVisible=1;
	item->sp->xystyle=1;
	item->sp->number=22;
	
	
	item=&data->door;
	item->sp=CSpriteSetSetWizNum(data->spriteset,data->mapbmps,SOL2_ITEM_SPRITE_INDEX);
	item->sp->x=(doorx*SOL2_CHIPSIZE)<<UNDER_PERIOD;
	item->sp->y=(doory*SOL2_CHIPSIZE)<<UNDER_PERIOD;
	item->sp->isVisible=1;
	item->sp->xystyle=1;
	item->sp->number=20;
	
	data->me.restriction_time=10000;
	
	//wallpaper
	sp=CSpriteSetSetWizNum(data->spriteset,data->mapbmps,0);
	sp->x=0;
	sp->y=0;
	sp->number=153;
	sp->isVisible=1;
	
	data->uppertext=CSpriteSetTextSetWizNum(
		data->spriteset,game->font,1500);
	data->uppertext->isVisible=1;
	data->uppertext->x=0;
	data->uppertext->y=0;
	data->lowertext=CSpriteSetTextSetWizNum(
		data->spriteset,game->font,1500);
	data->lowertext->isVisible=1;
	data->lowertext->x=0;
	data->lowertext->y=(239-16)<<UNDER_PERIOD;
	
	
}

static int Sol2SetMapVisualSwitch(CEasyGame *game,int flag){
	TSoldata *data;
	int i,j;
	TSprite *sp;
	TMap *map;
	
	data=game->data;
	map=&data->map;
	
	for(j=0;j<SOL2_MAP_Y;++j)
	for(i=0;i<SOL2_MAP_X;++i){
		sp=map->sp[i][j];
		sp->isVisible=flag;
		
	}
	
}


 int Sol2MapMove(CEasyGame *game){
	TSoldata *data;
	int i,j;
	CSpriteSet *spset;
	TSprite *sp;
	TMap *map;
	TMe *me;
	Sint32 delta_x,delta_y;
	
	data=game->data;
	map=&data->map;
	me=&data->me;
	spset=data->spriteset;
	
	delta_x=(me->x>>UNDER_PERIOD)-(game->screen->w-SOL2_CHIPSIZE)/2;
	delta_y=(me->y>>UNDER_PERIOD)-(game->screen->h-SOL2_CHIPSIZE)/2;
	
	if(delta_x<0)delta_x=0;
	if(delta_y<0)delta_y=0;
	if(delta_x+game->screen->w>SOL2_CHIPSIZE*SOL2_MAP_X)
		delta_x=SOL2_MAP_X*SOL2_CHIPSIZE-game->screen->w;
	if(delta_y+game->screen->h>SOL2_CHIPSIZE*SOL2_MAP_Y)
		delta_y=SOL2_MAP_Y*SOL2_CHIPSIZE-game->screen->h;
	
	
	/*
	for(j=0;j<SOL2_MAP_Y;++j)
	for(i=0;i<SOL2_MAP_X;++i){
		sp=map->sp[i][j];
		sp->delta_x=delta_x<<UNDER_PERIOD);
		sp->delta_y=delta_y<<UNDER_PERIOD);
		
	}
	*/
	
	
	
	spset->delta_x=delta_x<<UNDER_PERIOD;
	spset->delta_y=delta_y<<UNDER_PERIOD;
	
	
	
	/*
	map->delta_x=delta_x;
	map->delta_y=delta_y;
	*/

//adjust
/*
	me->sp->x=((me->x>>UNDER_PERIOD)-delta_x)<<UNDER_PERIOD;
	me->sp->y=((me->y>>UNDER_PERIOD)-delta_y)<<UNDER_PERIOD;
*/
}






/* me  */

static int Sol2MeControl(CEasyGame *game){
	
	
}



//curtain effect
Sol2Curtain(CEasyGame *game){
#define EFFECT_INDEX	2000
	TSprite *sp;
	TSoldata *data;
	
	int x,y,i;
	i=0;
	data=game->data;
	for(x=0;x<game->screen->w;x+=16){
		for(y=0;y<game->screen->h;y+=16){
			sp=CSpriteSetSetWizNum(game->spriteset[GAME_LAYER],data->mapbmps,EFFECT_INDEX);
			sp->number=201;
			sp->isVisible=1;
			sp->wait=i*2;
			TSpriteSetPos(sp,x,y);
			TSpriteSetFadeInExtention(sp,10);
		}
		i++;
	}
}



typedef struct{
	
	int x;
	int y;
	int dx;
	int dy;
	
}TMapPos;


static int Sol2MeAtariHantei(CEasyGame *game){
	
	TSoldata *data;
	TSprite *sp;
	TMap *map;
	TMe *me;
	TItem *key,*door;
	
	data=game->data;
	key=&data->key;
	door=&data->door;
	me=&data->me;
	
	if(key->sp->isExist){
		
		if(
			Atari(
				me->x>>UNDER_PERIOD,
				me->y>>UNDER_PERIOD,
				key->sp->x>>UNDER_PERIOD,
				key->sp->y>>UNDER_PERIOD
			)
		){
			TSpriteDetach(key->sp);
			door->sp->number=21;
			
			CWavsPlay(game->wave,12);
			
		}
		
	}
	if(door->sp->number==21&&
		Atari(
			me->x>>UNDER_PERIOD,
			me->y>>UNDER_PERIOD,
			door->sp->x>>UNDER_PERIOD,
			door->sp->y>>UNDER_PERIOD
		)
	){
		//l
		data->cleared=1;
		me->clear_count=100;
		me->sp->isVisible=0;
		
		Sol2Curtain(game);
		
	}
	
	
	
	
}

static Sol2CreateStone(CEasyGame *game,int x,int y){
	TSoldata *data;
	TSprite *sp;
	TMap *map;
	
	data=game->data;
	map=&data->map;
	sp=map->sp[x][y];
	
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,13,16,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,11,16,SPRITE_ENDSWITCH_STOP);
	
}
 Sol2EraseStone(CEasyGame *game,int x,int y){
	TSoldata *data;
	TSprite *sp;
	TMap *map;
	
	data=game->data;
	map=&data->map;
	sp=map->sp[x][y];
	
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,13,12,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,0,12,SPRITE_ENDSWITCH_STOP);
	//łɃACeo
	
	Sol2RevealItem(game,x,y);
	
	CWavsPlay(game->wave,15);
	

}

static Sol2MeStoneMagic(CEasyGame *game){
	TSoldata *data;
	TSprite *sp;
	TMe *me;
	TMap *map;
	int blockx,blocky,blockdx,blockdy;
	int crouching=0;
	int targetx,targety;
	int failed=0;
	TItem *item;
	
	
	data=game->data;
	me=&data->me;
	map=&data->map;
	sp=me->sp;
	
	
	
	blockx=((Sint32)(me->x+me->vx*SOL2_VELOCITY_UNIT)>>UNDER_PERIOD)/SOL2_CHIPSIZE;
	blocky=((Sint32)(me->y+me->vy*SOL2_VELOCITY_UNIT)>>UNDER_PERIOD)/SOL2_CHIPSIZE;
	blockdx=((Sint32)(me->x+me->vx*SOL2_VELOCITY_UNIT)>>UNDER_PERIOD)%SOL2_CHIPSIZE;
	blockdy=((Sint32)(me->y+me->vy*SOL2_VELOCITY_UNIT)>>UNDER_PERIOD)%SOL2_CHIPSIZE;
	
	targetx=blockx;
	
	targety=blocky;
	
	if(blockdy>SOL2_CHIPSIZE/2)targety++;
	
	if(me->isCrouch){targety++;crouching=1;}
	if(me->direction==SOL2_DIR_RIGHT){
		targetx++;
		if(blockdx>=SOL2_CHIPSIZE/2)targetx++;
		else{
			if(!crouching && blockdx>SOL2_X_BUFFER)
				me->x=((blockx)*SOL2_CHIPSIZE+SOL2_X_BUFFER)<<UNDER_PERIOD;
			}//gbL[H
	}
	if(me->direction==SOL2_DIR_LEFT){
		if(blockdx<SOL2_CHIPSIZE/2)targetx--;
		else{
			if(!crouching && blockdx<SOL2_CHIPSIZE-SOL2_X_BUFFER)
			me->x=((blockx+1)*SOL2_CHIPSIZE-SOL2_X_BUFFER)<<UNDER_PERIOD;
			}
	
	}
	
	
	//@\H
	item=&data->key;
	if(
		targetx==(item->sp->x>>UNDER_PERIOD)/24&&
		targety==(item->sp->y>>UNDER_PERIOD)/24)failed=1;
	item=&data->door;
	if(
		targetx==(item->sp->x>>UNDER_PERIOD)/24&&
		targety==(item->sp->y>>UNDER_PERIOD)/24)failed=1;
	
	
	//G
	if(EnemyIsExist(game,targetx,targety))failed=1;
	//_ACe
	item=Sol2FindItemSlotByXY(game,targetx,targety);
	if(item){
		if(item->hidden==0){
			failed=1;
		if(item->canTransform)switch(item->type){
			case SOL2_ITEM_TYPE_TRANSJUELBLUE:
				item->type=SOL2_ITEM_TYPE_FIREPOT;
				item->sp->number=52;
			break;
			case SOL2_ITEM_TYPE_FIREPOT:
				item->type=SOL2_ITEM_TYPE_COINGOLD2;
				item->sp->number=45;
			break;
			case SOL2_ITEM_TYPE_COINGOLD2:
				item->type=SOL2_ITEM_TYPE_CRYSTALRED;
				item->sp->number=55;
			break;
			case SOL2_ITEM_TYPE_CRYSTALRED:
				item->type=SOL2_ITEM_TYPE_TRANSJUELBLUE;
				item->sp->number=48;
			break;
			case SOL2_ITEM_TYPE_TRANSJUELRED:
				item->type=SOL2_ITEM_TYPE_BELL;
				item->sp->number=56;
			break;
			case SOL2_ITEM_TYPE_BELL:
				item->type=SOL2_ITEM_TYPE_SCROLL;
				item->sp->number=57;
			break;
			case SOL2_ITEM_TYPE_SCROLL:
				item->type=SOL2_ITEM_TYPE_TRANSJUELRED;
				item->sp->number=49;
			break;
			
		}
		}
	}

	
	
	if(IS_MAP_CANNOT_MAGIC(targetx,targety))failed=1;
	if(!failed && !IS_MAP_SOFTBLOCK(targetx,targety)){
		
		Sol2CreateStone(game,targetx,targety);
		CWavsPlay(game->wave,11);
		
	}else if(!failed && map->sp[targetx][targety]->number==12||map->sp[targetx][targety]->number==11){
		Sol2EraseStone(game,targetx,targety);
		CWavsPlay(game->wave,16);
		
		
	}else{
		failed=1;
	}
	
	if(!failed)Sol2MagicHanabi(game,(targetx*SOL2_CHIPSIZE),targety*SOL2_CHIPSIZE);
	
}

#define ME_MAX_VEROCITY 384
#define ME_ACCEL 128
#define ME_JUMP 960
static Sol2SetMeAnimeWalk(TSprite *sp){
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,10,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,11,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,10,1,SPRITE_ENDSWITCH_LOOP);
	
}
static Sol2SetMeAnimeRun(TSprite *sp){
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,10,4,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,11,4,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,10,1,SPRITE_ENDSWITCH_LOOP);
	
}
static Sol2SetMeAnimeMagic(TSprite *sp){
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,13,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,14,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,10,1,SPRITE_ENDSWITCH_STOP);
}
static Sol2SetMeAnimeMagicCrouch(TSprite *sp){
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,16,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,17,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,10,1,SPRITE_ENDSWITCH_STOP);
}
static Sol2SetMeAnime(CEasyGame *game){
	TSoldata *data;
	TSprite *sp;
	TMe *me;
	
	static state=-1;
	
	data=game->data;
	me=&data->me;
	sp=me->sp;
	
	if(1/*me->state!=state*/){
		switch(me->state){
			
			case SOL2_ME_STATE_STANDREADY:
			case SOL2_ME_STATE_JUMPREADY:
				TSpriteUnsetAnime(sp);
				sp->number=12+me->direction*20;
			
			break;
			
			case SOL2_ME_STATE_JUMP:
				TSpriteUnsetAnime(sp);
				sp->number=11+me->direction*20;
			break;
			
			
			case SOL2_ME_STATE_STAND:
				TSpriteUnsetAnime(sp);
				if(me->isCrouch)sp->number=15+me->direction*20;
				else sp->number=10+me->direction*20;
			
			break;
			case SOL2_ME_STATE_WALK:
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,10+me->direction*20,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,11+me->direction*20,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,10+me->direction*20,1,SPRITE_ENDSWITCH_LOOP);
	
			
			break;
			case SOL2_ME_STATE_WALKFAST:
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,10+me->direction*20,4,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,11+me->direction*20,4,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,10+me->direction*20,1,SPRITE_ENDSWITCH_LOOP);
			
			break;
			case SOL2_ME_STATE_MAGIC:
			if(me->isCrouch){
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,16+me->direction*20,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,17+me->direction*20,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,10+me->direction*20,1,SPRITE_ENDSWITCH_STOP);
			}else{
	TSpriteUnsetAnime(sp);
	TSpriteSetAnime(sp,13+me->direction*20,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,14+me->direction*20,8,SPRITE_ENDSWITCH_STOP);
	TSpriteSetAnime(sp,10+me->direction*20,1,SPRITE_ENDSWITCH_STOP);
			}
			break;
			
			
		}
		state=me->state;
	}
}

static int Sol2MainMovePaused(CEasyGame *game){
	TSoldata *data;
	CInput *inp;
	int vx,vy;
	Sint32 *dx,*dy;
	
	data=game->data;
	inp=game->input;
	
	vx=0;vy=0;
	CInputUpdate(inp,0);
	if (inp->button[BUTTON_2]) {
		CEasyGameUnpause(game,GAME_LAYER);
		CEasyGameDetach(game,COMMON_LAYER);
	}
	if (inp->button[BUTTON_UP]) {
		vy=-1;
	}
	if (inp->button[BUTTON_DOWN]) {
		vy=1;
	}
	if (inp->button[BUTTON_LEFT]) {
		vx=-1;
	}
	if (inp->button[BUTTON_RIGHT]) {
		vx=1;
	}
	
	dx=&game->spriteset[GAME_LAYER]->delta_x;
	dy=&game->spriteset[GAME_LAYER]->delta_y;
	*dx+=vx*(1<<UNDER_PERIOD);
	*dy+=vy*(1<<UNDER_PERIOD);
	if(*dx<0)*dx=0;
	if(*dx>(SOL2_MAP_X*SOL2_CHIPSIZE-game->screen->w)<<UNDER_PERIOD)
		*dx=(SOL2_MAP_X*SOL2_CHIPSIZE-game->screen->w)<<UNDER_PERIOD;
	if(*dy<0)*dy=0;
	if(*dy>(SOL2_MAP_Y*SOL2_CHIPSIZE-game->screen->h)<<UNDER_PERIOD)
		*dy=(SOL2_MAP_Y*SOL2_CHIPSIZE-game->screen->h)<<UNDER_PERIOD;
	
}

static int Sol2MeMove(CEasyGame *game){
	TSoldata *data;
	TSprite *sp;
	TMe *me;
	TMap *map;
	int kx,ky;
	CInput *inp;
	
	int blockx,blocky;
	int blockdx,blockdy;
	
	data=game->data;
	me=&data->me;
	map=&data->map;
	sp=me->sp;
	inp=game->input;
	
	kx=0;ky=0;
	
	if(me->clear_count)return;
	if(me->dead){
		if(me->dead_count>190)
		me->sp->prop.dy=-ME_MAX_VEROCITY*2*SOL2_VELOCITY_UNIT;
		else if(me->dead_count>180){
		me->sp->prop.dy=-ME_MAX_VEROCITY*SOL2_VELOCITY_UNIT;
			
		}else if(me->dead_count>170){
		me->sp->prop.dy=ME_MAX_VEROCITY*SOL2_VELOCITY_UNIT;
		}else if(me->dead_count>160){
		me->sp->prop.dy=ME_MAX_VEROCITY*2*SOL2_VELOCITY_UNIT;
		}else {
		me->sp->prop.dy=ME_MAX_VEROCITY*4*SOL2_VELOCITY_UNIT;
		}
		return;
	}
	
	
	if(me->wait>0){
		me->wait--;
		if(me->wait==0){
			
			switch(me->state){
				
				case SOL2_ME_STATE_JUMPREADY:
				
				me->vy=-ME_JUMP;
				me->state=SOL2_ME_STATE_JUMP;
				
				Sol2SetMeAnime(game);
				
				break;
				
				case SOL2_ME_STATE_STANDREADY:
				
				me->state=SOL2_ME_STATE_STAND;
				
				break;
				
				default:
				
				me->state=SOL2_ME_STATE_STAND;
				
				break;
			}
			
		}return;
//		CInputUpdate(inp,1);
	}else	CInputUpdate(inp,0);
	
	
	
	if ( inp->button[BUTTON_UP]){
		
		if(me->isJumpEnabled){
		
		me->state=SOL2_ME_STATE_JUMPREADY;
		Sol2SetMeAnime(game);
		me->wait=12;
		me->isJumpEnabled=0;
		}
		
	}
	
	
	
	if (!me->wait&& me->isJumpEnabled && inp->button[BUTTON_DOWN]) {
		me->isCrouch=1;
		me->sp->number=15+me->direction*20;
		me->state=SOL2_ME_STATE_STAND;
		Sol2SetMeAnime(game);
		
		}else {if(me->isCrouch==1)me->sp->number=10+me->direction*20;
		me->isCrouch=0;}
	
	if (!me->wait&& inp->button[BUTTON_RIGHT]) {
		kx=1;
		if(me->state!=SOL2_ME_STATE_WALK||me->direction==SOL2_DIR_LEFT){
			me->direction=SOL2_DIR_RIGHT;
			me->state=SOL2_ME_STATE_WALK;
			Sol2SetMeAnime(game);
		}
		if(!me->isJumpEnabled){
			me->state=SOL2_ME_STATE_JUMP;
			Sol2SetMeAnime(game);
		}
	}
	if (!me->wait&& inp->button[BUTTON_LEFT]) {
		kx=-1;
		if(me->state!=SOL2_ME_STATE_WALK||me->direction==SOL2_DIR_RIGHT){
			me->direction=SOL2_DIR_LEFT;
			me->state=SOL2_ME_STATE_WALK;
			Sol2SetMeAnime(game);
		}
		if(!me->isJumpEnabled){
			me->state=SOL2_ME_STATE_JUMP;
			Sol2SetMeAnime(game);
		}
	}
	
	if (!me->wait&& inp->button[BUTTON_2]) {
		TSprite *sp;
		CEasyGamePause(game,GAME_LAYER);
		game->move[COMMON_LAYER]=Sol2MainMovePaused;
		sp=CSpriteSetTextSetWizNum(game->spriteset[COMMON_LAYER],game->font,1800);
		strcpy(sp->text,"Paused");
		sp->x=130<<UNDER_PERIOD;
		sp->y=100<<UNDER_PERIOD;
		TSpriteSetBlinkExtention(sp,100);
	}
	
	if (!me->wait&& inp->button[BUTTON_0]) {
		me->state=SOL2_ME_STATE_MAGIC;
		me->wait=16;
		Sol2MeStoneMagic(game);
		Sol2SetMeAnime(game);
	}
	if (!me->wait&& inp->button[BUTTON_1]) {
		me->state=SOL2_ME_STATE_MAGIC;
		me->wait=16;
		Sol2MeFireMagic(game);
		Sol2SetMeAnime(game);
	}
	
	
	/*
	//clear button
	if (!me->wait&& inp->button[BUTTON_3]) {
		data->cleared=1;
		me->clear_count=100;
		me->sp->isVisible=0;
		Sol2Curtain(game);
	}
	*/
	
	
/*	if(!me->wait){
	
		if( me->vx==0){
			me->state=SOL2_ME_STATE_STAND;
		}else if(me->vx<ME_MAX_VEROCITY/2 ||me->vx>-ME_MAX_VEROCITY/2){
			me->state=SOL2_ME_STATE_WALK;
		}else{
			me->state=SOL2_ME_STATE_WALKFAST;
			
		}
//	Sol2SetMeAnime(game);
	}
*/	
	
	
	
	if(!me->wait)me->vx+=ME_ACCEL*kx;
	if(me->vx==0 && me->state==SOL2_ME_STATE_WALK){
		me->state=SOL2_ME_STATE_STAND;
		Sol2SetMeAnime(game);
		
	}
	
//	me->vy+=ME_ACCEL;
	
	if(!me->wait&&kx==0){
		if(me->vx<0)me->vx+=ME_ACCEL/2;
		if(me->vx>0)me->vx-=ME_ACCEL/2;
	}
	/*
	if(ky==0){
		if(me->vy<0)me->vy+=1;
		if(me->vy>0)me->vy-=1;
	}*/
	
	if(!me->wait)me->vy+=ME_ACCEL/2;
	
	if(me->vx<-ME_MAX_VEROCITY)me->vx=-ME_MAX_VEROCITY;
	if(me->vx>ME_MAX_VEROCITY)me->vx=ME_MAX_VEROCITY;
	/*
	if(me->vy<-ME_MAX_VEROCITY)me->vy=-ME_MAX_VEROCITY;
	*/
	if(me->vy>ME_MAX_VEROCITY*2)me->vy=ME_MAX_VEROCITY*2;
	
	blockx=((Sint32)(me->x+me->vx*SOL2_VELOCITY_UNIT)>>UNDER_PERIOD)/SOL2_CHIPSIZE;
	blocky=((Sint32)(me->y+me->vy*SOL2_VELOCITY_UNIT)>>UNDER_PERIOD)/SOL2_CHIPSIZE;
	blockdx=((Sint32)(me->x+me->vx*SOL2_VELOCITY_UNIT)>>UNDER_PERIOD)%SOL2_CHIPSIZE;
	blockdy=((Sint32)(me->y+me->vy*SOL2_VELOCITY_UNIT)>>UNDER_PERIOD)%SOL2_CHIPSIZE;
	
	if(me->vx<0 && blockdx>SOL2_CHIPSIZE/2){
		int yes=0;
		if(!IS_MAP_VOID(blockx,blocky)&& blockdy<SOL2_CHIPSIZE-SOL2_X_BUFFER){
			if(blockdx<SOL2_CHIPSIZE-SOL2_X_BUFFER){
				yes=1;
			}
		}
		if(blockdy>SOL2_X_BUFFER &&!IS_MAP_VOID(blockx,blocky+1)){
			if(blockdx<SOL2_CHIPSIZE-SOL2_X_BUFFER){
				yes=1;
			}
		}
		if(yes){
			me->x=(blockx*SOL2_CHIPSIZE+SOL2_CHIPSIZE-SOL2_X_BUFFER)<<UNDER_PERIOD;
			blockdx=SOL2_CHIPSIZE-SOL2_X_BUFFER;
			me->vx=0;
		}
	}
	if(me->vx>0 && blockdx<SOL2_CHIPSIZE/2){
		int yes=0;
		if(blockdy>SOL2_X_BUFFER  &&!IS_MAP_VOID(blockx+1,blocky+1) ){
			if(blockdx<SOL2_CHIPSIZE-SOL2_X_BUFFER){
				yes=1;
			}
		}
		if(!IS_MAP_VOID(blockx+1,blocky) && blockdy<SOL2_CHIPSIZE-SOL2_X_BUFFER){
			if(blockdx>SOL2_X_BUFFER){
				yes=1;
			}
		}
		if(yes){
			me->x=(blockx*SOL2_CHIPSIZE+SOL2_X_BUFFER)<<UNDER_PERIOD;
			me->vx=0;
			blockdx=SOL2_X_BUFFER;
		}
		
	}
	//n
	if(me->vy>0){
		int yes=0;
		if(!IS_MAP_VOID(blockx,blocky+1)){
			if(blockdx<SOL2_CHIPSIZE-SOL2_X_BUFFER){
				yes=1;
			}
		}
		if(!IS_MAP_VOID(blockx+1,blocky+1)){
			if(blockdx>SOL2_X_BUFFER){
				yes=1;
			}
		}
		if(yes){
			me->y=(blocky*SOL2_CHIPSIZE)<<UNDER_PERIOD;
			if(
				me->state!=SOL2_ME_STATE_JUMPREADY
				){
			me->isJumpEnabled=1;
			
			}
			if(me->vy==ME_MAX_VEROCITY*2){
				me->wait=10;
				me->state=SOL2_ME_STATE_STANDREADY;
				Sol2SetMeAnime(game);
			}else if(me->state!=SOL2_ME_STATE_WALK){
				me->state=SOL2_ME_STATE_STAND;
				Sol2SetMeAnime(game);
			}
			me->vy=0;
			
		}else{
			
			me->isJumpEnabled=0;
			
		}
		
	}
	//Ԃ
	if(me->vy<0 && blockdy<SOL2_CHIPSIZE-SOL2_X_BUFFER+1){
		int yes1=0;
		int yes2=0;
		
		if(!IS_MAP_VOID(blockx,blocky)){
			if(blockdx<SOL2_CHIPSIZE-SOL2_X_BUFFER){
				yes1=1;
			}
		}
		if(!IS_MAP_VOID(blockx+1,blocky)){
			if(blockdx>SOL2_X_BUFFER){
				yes2=1;
			}
		}
		if(yes1||yes2){
			int targetx;
			targetx=blockx;
			if(yes1){
				if(yes2 && blockdx>SOL2_CHIPSIZE/2)
				targetx++;
			}else{
				targetx++;
				
			}
			if(map->sp[targetx][blocky]->number==11){
				map->sp[targetx][blocky]->number=12;
				CWavsPlay(game->wave,15);
			}else if(map->sp[targetx][blocky]->number==12){
				map->sp[targetx][blocky]->number=0;
					//łɃACeo
				Sol2RevealItem(game,targetx,blocky);
				CWavsPlay(game->wave,15);
			}else{
				CWavsPlay(game->wave,15);
				
			}
			
			
			
			me->y=(blocky*SOL2_CHIPSIZE+SOL2_CHIPSIZE-SOL2_X_BUFFER+1)<<UNDER_PERIOD;
			me->vy=0;
//			me->isJumpEnabled=1;
			
			
			
		}
		
	}
	
//	sp->number=10;
	sp->isVisible=1;
	if(!me->wait){
		
		
		me->x+=me->vx*SOL2_VELOCITY_UNIT;
		me->y+=me->vy*SOL2_VELOCITY_UNIT;
	
	}
	
	
	
	//
	{
		int deltax=0;
		
		if(me->state==SOL2_ME_STATE_MAGIC && me->direction==SOL2_DIR_LEFT)deltax=-(12<<UNDER_PERIOD);
		sp->x=me->x+deltax;
		sp->y=me->y;
		
		
	}
	/*蔻*/
	
	
	Sol2MeAtariHantei(game);
	
	
	
	
	
	
}


static int	Sol2ScoresMove(CEasyGame *game){
	
	TSoldata *data;
	char buf[4096];
	TMe *me;
	
	data=game->data;
	me=&data->me;
	sprintf(buf,"Time %6d Score %6d%02d",me->restriction_time,me->score,data->cont);
	strcpy(data->uppertext->text,buf);
	sprintf(buf,"Fire x %3d",me->left_fire);
	strcpy(data->lowertext->text,buf);
	
}
/* interface */

static int Sol2MainMove(CEasyGame *game){
	
	
	TSoldata *data;
	TSprite *sp;
	TMe *me;
	data=game->data;
	me=&data->me;
	
	if(me->restriction_time>0&&!data->cleared)me->restriction_time--;
	if(me->restriction_time<=0){
		if(!me->dead){
			me->dead=1;
			me->dead_count=200;
		}
	}
	if(me->dead){
		if(me->dead_count==200){
			sp=CSpriteSetSetWizNum(game->spriteset[2],data->mapbmps,1500);
			sp->x=0;
			sp->y=0;
			sp->number=200;
			sp->isVisible=1;
			sp->wait=50;
			TSpriteSetFadeInExtention(sp,100);
			sp->prop.countdown=200;
			Sol2MeSetDeadAnime(game);

		}
		me->dead_count--;if(me->dead_count<=0){me->left--;game->system_end=1;}
	}
	if(me->clear_count>0){
		me->clear_count--;if(me->clear_count<=0){
			game->system_end=1;
		}
	}
		Sol2ScoresMove(game);
		Sol2MeMove(game);
		Sol2MapMove(game);
		Sol2MeFireMagicMoveCheck(game);
		Sol2GenerateEnemy(game);
		Sol2EnemyMove(game);
		Sol2ItemMove(game);
		
		
		
		
//					CWavsWaitForIntro(data->wavs);

		
		
}

static int Sol2MainControl(CEasyGame *game){
	TSoldata *data;
	TMe *me;
	CInput *inp;
	data=game->data;
	me=&data->me;
	inp=game->input;
	
	/*
	if(game->abort||keyread(game)){
		game->system_end=1;
		data->abort=1;
	}
	*/
	if(game->state[GAME_LAYER]&CEASYGAME_LAYERSTATE_PAUSED){
		CInputUpdate(inp,0);
		if (inp->button[BUTTON_2]) {
			CEasyGameUnpause(game,GAME_LAYER);
		}
		
	}
	
}



static int Sol2MainDraw(CEasyGame *game){
	
	SDL_FillRect(game->screen,NULL,SDL_MapRGB(game->screen->format,0,0,0));
	
}
static int Sol2MainDrawAfter(CEasyGame *game){
	char buf[4096];
	TSoldata *data;
	TMe *me;
	data=game->data;
	me=&data->me;
	
	sprintf(buf,"Time %6d Fire x %3d",me->restriction_time,me->left_fire);
	CffontBlitxy(game->font,buf,game->screen,0,0);
/*	
	sprintf(buf,"%6d",me->dead_count);
	CffontBlitxy(game->font,buf,game->screen,0,20);
*/	
	if(game->state[GAME_LAYER]&CEASYGAME_LAYERSTATE_PAUSED){
		CffontBlitxy(game->font,"Paused",game->screen,130,220);
	}
}


/* mini title*/
static int Sol2MapTitleDraw(CEasyGame *game){
	TSoldata *data;
	TMe *me;
	char buf[4096];
	data=game->data;
	me=&data->me;
	
	Sol2MainDraw(game);
	
	SDL_FillRect(game->screen,NULL,SDL_MapRGB(game->screen->format,0,0,0));
//	CffontBlitxy(game->font,"Sample Map",game->screen,100,50);
	sprintf(buf,"x %2d",me->left);
	CffontBlitxy(game->font,buf,game->screen,150,100);
}
static int Sol2MapTitleControl(CEasyGame *game){
	TSoldata*data;
	data=game->data;
	/*
	if(data->abort||keyread(game)){
		game->system_end=1;
		data->abort=1;
	}
	*/
	if(game->timer.realframecount>120)game->system_end=1;
}

static int Sol2MapTitle(CEasyGame *game){
	
	TSoldata *data;
	TMe *me;
	data=game->data;
	me=&data->me;
	
	
	game->control=Sol2MapTitleControl;
	game->draw=Sol2MapTitleDraw;
	me=&data->me;
	me->sp=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->charabmps,SOL2_ME_SPRITE_INDEX);
	me->sp->x=100<<UNDER_PERIOD;
	me->sp->y=100<<UNDER_PERIOD;
	me->sp->isVisible=1;
	me->sp->number=10;
	CEasyGameStart(game);
	CEasyGameDetach(game,COMMON_LAYER);
	
}
/********************************************************/
/* end title*/
static int Sol2MapEndMove(CEasyGame *game){
	TSoldata *data;
	TMe *me;
	char buf[4096];
	static TSprite *clear,*lefttime,*back;
	
	data=game->data;
	me=&data->me;
	
	switch(game->timer.realframecount){
		case 0:
		back=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->mapbmps,0);
		back->isVisible=1;back->number=161;
		TSpriteSetMotionLiner(back,320,0,0,0,10);
		clear=CSpriteSetTextSetWizNum(game->spriteset[COMMON_LAYER],game->font,0);
		clear->isVisible=1;strcpy(clear->text,"ROOM Clear!");
		TSpriteSetMotionLiner(clear,100,240,100,80,10);
		lefttime=CSpriteSetTextSetWizNum(game->spriteset[COMMON_LAYER],game->font,0);
		lefttime->isVisible=1;
		sprintf(buf,"Left Time %6d",me->restriction_time);
		strcpy(lefttime->text,buf);
		TSpriteSetMotionLiner(lefttime,70,280,70,140,10);
		break;
		case 100:
		TSpriteSetFadeOutExtention(back,40);
		TSpriteSetMotionLiner(clear,100,80,100,240,10);
		TSpriteSetMotionLiner(lefttime,70,140,70,280,10);
		break;
		case 140:
		game->system_end=1;
		break;
	}
	
}

static int Sol2MapEnd(CEasyGame *game){
	
	TSoldata *data;
	TMe *me;
	data=game->data;
	me=&data->me;
	
	
//	game->control=Sol2MapEndControl;
//	game->draw=Sol2MapEndDraw;
	game->move[COMMON_LAYER]=Sol2MapEndMove;
	CEasyGameStart(game);
	CEasyGameDetach(game,COMMON_LAYER);
	
}
/*miss end*/
/*
static int Sol2MapMissEndDraw(CEasyGame *game){
	TSoldata *data;
	TMe *me;
	char buf[4096];
	data=game->data;
	me=&data->me;
	
	
	SDL_FillRect(game->screen,NULL,SDL_MapRGB(game->screen->format,0,0,0));
	CffontBlitxy(game->font,"Miss!",game->screen,120,100);
}

typedef struct{
	
	int frame;
	
}t_miss_end;

static int Sol2MapMissEndMove(CEasyGame *game){
	TSoldata *data;
	data=game->data;
	static t_miss_end;
	
}
static int Sol2MapMissEnd(CEasyGame *game){
	
	TSoldata *data;
	TMe *me;
	
	static t_miss_end;
	
	data=game->data;
	me=&data->me;
	
	
	game->move[COMMONT_LAYER]=Sol2MapMissEndMove;
	//game->draw=Sol2MapMissEndDraw;
//	CEasyGameStart(game);
	CEasyGameDetach(game,COMMON_LAYER);
	
}
*/

/* main */
//}bv`bvXvCg`
int Sol2AttachMapChipSprite(CEasyGame *game){
	
	TSoldata *data;
	int i,j;
	TSprite *sp;
	
	data=game->data;
	
	for(j=0;j<SOL2_MAP_Y;++j)
	for(i=0;i<SOL2_MAP_X;++i){
		data->map.sp[i][j]=CSpriteSetSetWizNum(data->spriteset,data->mapbmps,SOL2_MAP_SPRITE_INDEX);
		
	}
	

}

/*************************************************
title
*************************************************/
static int Sol2GameTitleDrawAfter(CEasyGame *game){
	
	TSoldata *data;
	TMe *me;
	char buf[4096];
	data=game->data;
	me=&data->me;
	
	
//	CffontBlitxy(game->font,"Press Button1 to Start",game->screen,10,50);
	
}


static int Sol2GameTitleControl(CEasyGame *game){
	TSoldata *data;
	CInput *inp;
	data=game->data;
	
	inp=game->input;
	/*
	if(data->abort||keyread(game)){
		game->system_end=1;
		data->abort=1;
	}*/
	
}
static int Sol2GameTitleMove(CEasyGame *game){
	TSoldata *data;
	CInput *inp;
	int continuing;
	char *pp;
	static int isGoingSystemEnd=0;
	static TSprite *title,*menu[5],*arrow;
	static int select,i;
	static char *menutext[5]={
		"Start Game","Continue","Score Ranking","Exit",""
		};
#define MENU_LEFT	100
#define MENU_TOP	140
#define MENU_Y_SPACE	20
	data=game->data;
	inp=game->input;
	if(isGoingSystemEnd){
		isGoingSystemEnd--;
		if(!isGoingSystemEnd)game->system_end=1;
		return;
	}

	switch(game->timer.realframecount){
		case 0:
		
		select=0;
		pp=CMapGetValue(data->configuration,"continue_stage");
		if(pp){
			if(atoi(pp)!=0)select=1;
		}
		
		isGoingSystemEnd=0;
		title=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->mapbmps,0);
		title->isVisible=1;
		title->number=150;//titlebg
		TSpriteSetMotionLiner(title,-320,0,0,0,60*5);
		arrow=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->mapbmps,0);
		arrow->isVisible=1;
		arrow->number=22;//arrow
		TSpriteSetMotionLiner(arrow,-320+MENU_LEFT-30,MENU_TOP-6+select*MENU_Y_SPACE
			,MENU_LEFT-30,MENU_TOP-6+select*MENU_Y_SPACE,60*5);
		for(i=0;i<4;++i){
			menu[i]=CSpriteSetTextSetWizNum(game->spriteset[COMMON_LAYER],game->font,0);
			menu[i]->isVisible=1;
			strcpy(menu[i]->text,menutext[i]);
			TSpriteSetMotionLiner(menu[i],-320+MENU_LEFT,MENU_TOP+i*MENU_Y_SPACE
				,0+MENU_LEFT,MENU_TOP+i*MENU_Y_SPACE,60*5);
		
		}
		break;
	}
	CInputUpdate(inp,0);
	
	if(TSpriteIsMove(arrow)&&!TSpriteIsMove(title)){
		TSpriteSetShadowExtention(arrow);
	}else{
		TSpriteUnsetExtention(arrow);
	}
	if ( inp->button[BUTTON_0]) {
		if(TSpriteIsMove(title)){
			TSpriteSetPos(title,0,0);
			TSpriteSetPos(arrow,MENU_LEFT-30,MENU_TOP-6+MENU_Y_SPACE*select);
			for(i=0;i<4;++i)TSpriteSetPos(menu[i],MENU_LEFT,MENU_TOP+MENU_Y_SPACE*i);
		}else{
			
//			TSpriteSetPos(arrow,100,select*MENU_Y_SPACE+MENU_TOP);
			
			TSpriteSetFadeOutExtention(title,40);
			TSpriteSetFadeOutExtention(arrow,40);
			for(i=0;i<4;++i){
				if(i==select){
					//menu[i]->wait=40;
					continue;
				}
				TSpriteSetFadeOutExtention(menu[i],40);
			}
			isGoingSystemEnd=100;
			
			data->menu_selected=select;
		CWavsPlay(game->wave,10);
			
		}
	}
	if ( inp->button[BUTTON_UP]) {
		if(select>0 && !TSpriteIsMove(arrow)){
			select--;
			TSpriteSetMotionLinerRel(arrow,0,-MENU_Y_SPACE,10);
			
		}
	}
	if ( inp->button[BUTTON_DOWN]) {
		if(select<3 && !TSpriteIsMove(arrow)){
			select++;
			TSpriteSetMotionLinerRel(arrow,0,MENU_Y_SPACE,10);
			
		}
	}

}

static int Sol2GameTitle(CEasyGame *game){
	TSoldata *data;
	TSprite *sp;
	data=game->data;
	
	
	game->move[COMMON_LAYER]=Sol2GameTitleMove;
	CEasyGameStart(game);
	CEasyGameDetach(game,COMMON_LAYER);
	return 0;
}
/*************************************************
end title
*************************************************/
static int Sol2EndTitleDrawAfter(CEasyGame *game){
	
	TSoldata *data;
	TMe *me;
	char buf[4096];
	data=game->data;
	me=&data->me;
	
	
//	CffontBlitxy(game->font,"Press Button1 to Start",game->screen,10,50);
	
}


static int Sol2EndTitleControl(CEasyGame *game){
	TSoldata *data;
	CInput *inp;
	data=game->data;
	
	inp=game->input;
	
	/*
	if(data->abort||keyread(game)){
		game->system_end=1;
		data->abort=1;
	}*/
	CInputUpdate(inp,0);
	if ( inp->button[BUTTON_0]) {
		game->system_end=1;
	}
	
}


static int Sol2EndTitle(CEasyGame *game){
	TSoldata *data;
	TSprite *sp;
	data=game->data;
	
	sp=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->mapbmps,0);
	sp->x=0;
	sp->y=0;
	sp->isVisible=1;
	sp->number=160;//titlebg
	
	game->control=Sol2EndTitleControl;
	game->draw_after=Sol2EndTitleDrawAfter;
	CEasyGameStart(game);
	CEasyGameDetach(game,COMMON_LAYER);
	
}

typedef struct{
	TSprite *sp[4];
}t_startcatch;


int Sol2StartCatchSet(CEasyGame *game,t_startcatch*catchdata){
	TSprite *sp;
	TSoldata *data;
	
	int x,y,yy,c;
	
	data=game->data;
	memset(catchdata,0,sizeof(t_startcatch));
	
	catchdata->sp[0]=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->mapbmps,1500);
	sp=catchdata->sp[0];
	sp->number=200;
	sp->x=0;
	sp->y=0;
//	sp->alpha=SDL_ALPHA_OPAQUE;
	sp->isVisible=1;
	sp->wait=20;
	TSpriteSetFadeOutExtention(sp,80);

	sp=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->mapbmps,1500);
	sp->number=200;
	sp->x=0;
	sp->y=0;
	sp->prop.countdown=20;
//	sp->alpha=SDL_ALPHA_OPAQUE;
	sp->isVisible=1;
	
	
	/*
	//sample fadeout  effect
	c=0;
#define BLACKCHIPSIZE	16
#define BLACKCHIPNUMBER	201
		for(x=0;x<320;x+=BLACKCHIPSIZE){
	for(y=0;y<240;y+=BLACKCHIPSIZE){
		
			sp=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->mapbmps,1500);
			sp->number=BLACKCHIPNUMBER;
			sp->x=x<<UNDER_PERIOD;
			sp->y=y<<UNDER_PERIOD;
			sp->isVisible=1;
			sp->prop.countdown=20+c;
			
			sp=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->mapbmps,1500);
			sp->number=BLACKCHIPNUMBER;
			sp->x=x<<UNDER_PERIOD;
			sp->y=y<<UNDER_PERIOD;
			sp->isVisible=1;
			TSpriteSetFadeOutExtention(sp,20);
			sp->wait=20+c;
			
		}
		c++;
	}
	*/
	
	
	
	
	
	
	
	catchdata->sp[2]=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->mapbmps,1500);
	sp=catchdata->sp[2];
	sp->number=152;
//	TSpriteSetMotionLinerArrange(sp,0,100,160,100,10);
	TSpriteSetMotionLiner(sp,160,240,60,35,10);
	TSpriteSetShadowExtention(sp);
	sp->isVisible=1;

	catchdata->sp[3]=CSpriteSetSetWizNum(game->spriteset[COMMON_LAYER],data->mapbmps,1500);
	sp=catchdata->sp[3];
	sp->number=151;
//	TSpriteSetMotionLinerArrange(sp,0,100,160,100,10);
	TSpriteSetMotionLiner(sp,0,-50,60,65,10);
	TSpriteSetShadowExtention(sp);
	sp->isVisible=1;
	sp->wait=10;
	
	catchdata->sp[1]=CSpriteSetTextSetWizNum(game->spriteset[COMMON_LAYER],game->font,1500);
	sp=catchdata->sp[1];
	sprintf(sp->text,"Room %d",data->stage+1);
//	TSpriteSetMotionLinerArrange(sp,0,100,160,100,10);
	TSpriteSetMotionLiner(sp,0,100,120,120,10);
	TSpriteSetShadowExtention(sp);
	sp->isVisible=1;
	sp->wait=20;
	
	
	
	
}
int Sol2StartCatch(CEasyGame *game){
	
	TSoldata *data;
	TSprite *sp;
	
	static t_startcatch catchdata;
	
	
	data=game->data;
	sp=catchdata.sp[0];
	if(game->timer.realframecount==0){
		Sol2StartCatchSet(game,&catchdata);
	}
/*	if(game->timer.realframecount>10){
		if(sp->alpha>0)sp->alpha-=5;
	}*/
	if(game->timer.realframecount==30+15){
//		TSpriteSetMotionLiner(catchdata.sp[1],160,100,320,100,10);
		TSpriteUnsetExtention(catchdata.sp[1]);
		TSpriteUnsetExtention(catchdata.sp[2]);
		TSpriteUnsetExtention(catchdata.sp[3]);
	}
	if(game->timer.realframecount==30+80){
//		TSpriteSetMotionLiner(catchdata.sp[1],160,100,320,100,10);
		TSpriteSetFadeOutExtention(catchdata.sp[1],20);
		TSpriteSetFadeOutExtention(catchdata.sp[2],20);
		TSpriteSetFadeOutExtention(catchdata.sp[3],20);
	}
	if(game->timer.realframecount>30+80+20){
		CEasyGameUnpause(game,GAME_LAYER);
		CEasyGameDetach(game,COMMON_LAYER);
//		game->draw_after=Sol2MainDrawAfter;
//		game->control=Sol2MainControl;
	}
	
	
}




int Sol2Main(CEasyGame *game){
	TSoldata *data;
	TMe *me;
	int i,selected;
	char buf[1024],*p;
	
	data=game->data;
	me=&data->me;
	data->spriteset=game->spriteset[GAME_LAYER];
	
#ifdef Macintosh
	strcpy(data->mapfiledir,".:stages:another:");
#else
	strcpy(data->mapfiledir,"./stages/another/");
#endif
//	strcpy(data->mapfilename,"test.map");
//	strcpy(data->mapfilename,"itemtest.map");
	
//	CWavsPlayMusicStyleWithIntro(game->wave,10,11);

	while(!game->abort){
		
		me->left=3;
		me->left_fire=5;
		me->score=0;
		data->stage=0;
		data->ItemLoaded=0;
		data->MaxItems=0;
		data->GotItems=0;
		
		CWavsPlayMusicStyle(game->wave,50);
		Sol2GameTitle(game);
		
		
		if(data->menu_selected==1){
			p=CMapGetValue(data->configuration,"continue_stage");
			if(p){
				
				data->stage=atoi(p);
			}
		}
		if(data->menu_selected==2){
			Sol2ShowHighScore(game);
			continue;
		}
		if(data->menu_selected==3)break;
		
		
		
		while(!game->abort && me->left>0){
			CWavsHaltMusic(game->wave);
			sprintf(data->mapfilename,"%sstage%d.map",data->mapfiledir,data->stage+1);
			data->cleared=0;
			//logo load
			CBmpsLoadFromFileDir(data->mapbmps,data->mapfiledir);
			
			
			Sol2MapTitle(game);
			
			
			
			Sol2AttachMapChipSprite(game);
			
		
		
			me->sp=CSpriteSetSetWizNum(data->spriteset,data->charabmps,SOL2_ME_SPRITE_INDEX);
			me->wait=0;
			me->sp->number=10;
			me->dead=0;
			me->clear_count=0;
			TSpriteUnsetAnime(me->sp);
//			TSpriteSetShadowExtention(me->sp);
		
		
		
		
			for(i=0;i<SOL2_MAXFIRE;++i)if(data->fire.sp[i])TSpriteDetach(data->fire.sp[i]);

		
		
			Sol2MapLoad(game);
			
			

			
			game->move[GAME_LAYER]=Sol2MainMove;
			CEasyGamePause(game,GAME_LAYER);
			game->move[COMMON_LAYER]=Sol2StartCatch;
//			game->control=Sol2MainControl;
//			game->draw=Sol2MainDraw;
//			game->draw_after=Sol2MainDrawAfter;
			Sol2SetMapVisualSwitch(game,1);
			Sol2MainMove(game);//adjust for map drawing
			
			CWavsPlayMusicStyle(game->wave,51);
			
			CEasyGameStart(game);
			CEasyGameDetach(game,GAME_LAYER);
			CEasyGameClearScreen(game);
		
		
		
			if(data->cleared){
				
				Sol2MapEnd(game);
				data->stage++;
				data->ItemLoaded=0;
				me->score+=me->restriction_time/100;
				if(data->stage==SOL2_MAX_STAGE){
					Sol2Gameclear(game);
					break;
				}
			
			}else{
//				Sol2MapMissEnd(game);
				if(me->left==0){
					Sol2Gameover(game);
					if(data->stage<SOL2_MAX_STAGE){
					sprintf(buf,"%d",data->stage);
					}
					CMapAdd(data->configuration,"continue_stage",buf);
					break;
				}
			}
		
		}
		Sol2NameEntry(game);
//		Sol2EndTitle(game);
	}
}
