/**********************************
useful functions for c/c++

mainly string operations
2000/1/22 by adas
***********************************/
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
//shift jis -> jis
void sjis2jis( unsigned char *c1, unsigned char *c2)
   {
   if( *c2 < 0x9f )
      {
      if( *c1 < 0xa0 )
         {
         *c1 -= 0x81;
         *c1 *= 2;
         *c1 += 0x21;
         }
      else
         {
         *c1 -= 0xe0;
         *c1 *= 2;
         *c1 += 0x5f;
         }
      if( *c2 > 0x7f )
         -- *c2;
      *c2 -= 0x1f;
      }
   
   else
      {
      if( *c1 < 0xa0 )
         {
         *c1 -= 0x81;
         *c1 *= 2;
         *c1 += 0x22;
         }
      else
         {
         *c1 -= 0xe0;
         *c1 *= 2;
         *c1 += 0x60;
         }
      *c2 -= 0x7e;
      }
   }

//delete delimiters from string

int diet(unsigned char *str,unsigned char *delims){
	unsigned char *p;
	
	p=str;
	while(*p!='\0'){
		if(NULL!=strchr(delims,*p)){
			p++;
			continue;
		}
		*str=*p;
		str++;
		p++;
	}
	*str='\0';
	return(0);
}

int dietEx(unsigned char *str,unsigned char *delims,unsigned char *quater1,unsigned char *quater2){
	unsigned char *p;
	int nowQuate;
	
	nowQuate=0;
	p=str;
	while(*p!='\0'){
		
		if(nowQuate && strchr(quater2,*p)!=NULL)nowQuate=0;
		if(!nowQuate && strchr(quater1,*p)!=NULL)nowQuate=1;
			
		if(NULL!=strchr(delims,*p) && !nowQuate){
			p++;
			continue;
		}
		*str=*p;
		str++;
		p++;
	}
	*str='\0';
	return(0);
}


int diet_comment(unsigned char *str,unsigned char *delim1,unsigned char *delim2){
	unsigned char *p;
	int nowComment,nowQuate;
	unsigned long n_delim1,n_delim2;
	
	
	nowQuate=0;
	nowComment=0;
	n_delim1=strlen(delim1);
	n_delim2=strlen(delim2);
	p=str;


	while(*p!='\0'){

		if(*p=='"' && !nowComment)nowQuate=!nowQuate;
		if(!nowQuate){
			if(nowComment && 0==strncmp(p,delim2,n_delim2)){
				nowComment=0;
				p+=n_delim2;
				continue;
			}
			if(!nowComment && 0==strncmp(p,delim1,n_delim1)){
				nowComment=1;
			
				p+=n_delim1;
				continue;
			}
		}
		if(nowComment){
			p++;
			continue;
		}
		*str=*p;
		p++;
		str++;
	}
	if(nowComment || nowQuate){
		fprintf(stderr,"ERROR:comment or quatation is insane.\n");
		*str='\0';
		
		return(-1);
	}
	*str='\0';
	return(0);
}

int unixfile(char *p){
	do{
		if(*p=='\\')*p='/';
		p++;
	}while(*p!='\0');
	return(0);
}


int delchar(unsigned char *str,unsigned char *ptn,unsigned char rep){
	unsigned char *p,*q,*r;
	int n;
	
	p=str;
	q=str;
	n=strlen(ptn);
	if(strlen(str)<n)return(0);
	while(*p!='\0'){
		if(0==strncmp(p,ptn,n)){
			if(rep!='\0')*q++=rep;
			p+=n;
			continue;
		}
		*q++=*p++;
	}
	*q='\0';
	return(0);
}


int hex2int(unsigned char high,unsigned char low){

	int res=0;
	
	if( high>='0' && high <='9' ) res += (high-'0')*16;
	if( high>='a' && high <='f' ) res += (high-'a'+10)*16;
	if( high>='A' && high <='F' ) res += (high-'A'+10)*16;
	if( low>='0' && low <='9' ) res += (low-'0');
	if( low>='a' && low <='f' ) res += (low-'a'+10);
	if( low>='A' && low <='F' ) res += (low-'A'+10);
	
	return(res);
}

char * getext(char *str){
	long i;
	i=strlen(str);
	str+=(i-1);
	do{
		if(*str=='.')return(str+1);
		str--;
		i--;
	}while(i>0);
	return(NULL);
}

